Genivia - apache_soap_interface Struct Reference

|  | Home | Documentation | apache_soap_interface Struct Reference updated Thu Jun 24 2021 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
apache_soap_interface Struct Reference

`#include <apache_gsoap.h>`

## Public Attributes
unsigned int | len
unsigned int | interface_version
apache_soap_init_fn | fsoap_user_init
apache_soap_init_fn | fsoap_init
apache_soap_serve_fn | fsoap_serve
apache_soap_destroy_fn | fsoap_destroy
apache_soap_end_fn | fsoap_end
apache_soap_done_fn | fsoap_done
apache_soap_register_plugin_fn | fsoap_register_plugin_arg
apache_soap_lookup_plugin_fn | fsoap_lookup_plugin
void * | reserved
struct Namespace * | namespaces
void(* | soap_serializeheader )(struct soap *soap)
int(* | soap_putheader )(struct soap *soap)
int(* | soap_getheader )(struct soap *soap)
void(* | soap_fault )(struct soap *soap)
void(* | soap_serializefault )(struct soap *soap)
int(* | soap_putfault )(struct soap *soap)
int(* | soap_getfault )(struct soap *soap)
const char **(* | soap_faultcode )(struct soap *soap)
const char **(* | soap_faultstring )(struct soap *soap)
const char **(* | soap_faultdetail )(struct soap *soap)
void(* | soap_markelement )(struct soap *soap, const void *, int)
int(* | soap_putelement )(struct soap *soap, const void *, const char *, int, int)
void *(* | soap_getelement )(struct soap *soap, const char *, int *)

## Member Data Documentation

apache_soap_destroy_fn apache_soap_interface::fsoap_destroy

apache_soap_done_fn apache_soap_interface::fsoap_done

apache_soap_end_fn apache_soap_interface::fsoap_end

apache_soap_init_fn apache_soap_interface::fsoap_init

apache_soap_lookup_plugin_fn apache_soap_interface::fsoap_lookup_plugin

apache_soap_register_plugin_fn apache_soap_interface::fsoap_register_plugin_arg

apache_soap_serve_fn apache_soap_interface::fsoap_serve

apache_soap_init_fn apache_soap_interface::fsoap_user_init

unsigned int apache_soap_interface::interface_version

unsigned int apache_soap_interface::len

struct Namespace* apache_soap_interface::namespaces

void* apache_soap_interface::reserved

void(* apache_soap_interface::soap_fault) (struct soap *soap)

const char**(* apache_soap_interface::soap_faultcode) (struct soap *soap)

const char**(* apache_soap_interface::soap_faultdetail) (struct soap *soap)

const char**(* apache_soap_interface::soap_faultstring) (struct soap *soap)

void*(* apache_soap_interface::soap_getelement) (struct soap *soap, const char *, int *)

int(* apache_soap_interface::soap_getfault) (struct soap *soap)

int(* apache_soap_interface::soap_getheader) (struct soap *soap)

void(* apache_soap_interface::soap_markelement) (struct soap *soap, const void *, int)

int(* apache_soap_interface::soap_putelement) (struct soap *soap, const void *, const char *, int, int)

int(* apache_soap_interface::soap_putfault) (struct soap *soap)

int(* apache_soap_interface::soap_putheader) (struct soap *soap)

void(* apache_soap_interface::soap_serializefault) (struct soap *soap)

void(* apache_soap_interface::soap_serializeheader) (struct soap *soap)

The documentation for this struct was generated from the following file:

- apache_gsoap.h